- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SpeexSubmode Struct Reference

`#include <modes.h>`

List of all members.

## Public Attributes
int | lbr_pitch
int | forced_pitch_gain
int | have_subframe_gain
int | double_codebook
lsp_quant_func | lsp_quant
lsp_unquant_func | lsp_unquant
ltp_quant_func | ltp_quant
ltp_unquant_func | ltp_unquant
const void * | ltp_params
innovation_quant_func | innovation_quant
innovation_unquant_func | innovation_unquant
const void * | innovation_params
spx_word16_t | lpc_enh_k1
spx_word16_t | lpc_enh_k2
spx_word16_t | lpc_enh_k3
spx_word16_t | comb_gain
int | bits_per_frame

## Detailed Description

Description of a Speex sub-mode (wither narrowband or wideband

## Member Data Documentation

int SpeexSubmode::lbr_pitch

Set to -1 for "normal" modes, otherwise encode pitch using a global pitch and allowing a +- lbr_pitch variation (for low not-rates)

int SpeexSubmode::forced_pitch_gain

Use the same (forced) pitch gain for all sub-frames

int SpeexSubmode::have_subframe_gain

Number of bits to use as sub-frame innovation gain

int SpeexSubmode::double_codebook

Apply innovation quantization twice for higher quality (and higher bit-rate)

lsp_quant_func SpeexSubmode::lsp_quant

LSP quantization function

lsp_unquant_func SpeexSubmode::lsp_unquant

LSP unquantization function

ltp_quant_func SpeexSubmode::ltp_quant

Long-term predictor (pitch) quantizer

ltp_unquant_func SpeexSubmode::ltp_unquant

Long-term predictor (pitch) un-quantizer

const void* SpeexSubmode::ltp_params

Pitch parameters (options)

innovation_quant_func SpeexSubmode::innovation_quant

Innovation quantization

innovation_unquant_func SpeexSubmode::innovation_unquant

Innovation un-quantization

const void* SpeexSubmode::innovation_params

Innovation quantization parameters

spx_word16_t SpeexSubmode::lpc_enh_k1

Enhancer constant

spx_word16_t SpeexSubmode::lpc_enh_k2

Enhancer constant

spx_word16_t SpeexSubmode::lpc_enh_k3

Enhancer constant

spx_word16_t SpeexSubmode::comb_gain

Gain of enhancer comb filter

int SpeexSubmode::bits_per_frame

Number of bits per frame after encoding

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/libspeex/modes.h